AdfUITree.$DISCLOSURE_LISTENER_KEY$ = "_afrDiscListener";
$goog$exportSymbol$$("AdfUITree.DISCLOSURE_LISTENER_KEY", AdfUITree.$DISCLOSURE_LISTENER_KEY$);
AdfUITree.$LOCAL_DISCLOSURE_STATE$ = "_afrLocalDiscState";
$goog$exportSymbol$$("AdfUITree.LOCAL_DISCLOSURE_STATE", AdfUITree.$LOCAL_DISCLOSURE_STATE$);
AdfUITree.prototype.$findComponent$ = function $AdfUITree$$$findComponent$$($scopedId$$4$$, $rowKey$$166$$) {
  return void 0 != $rowKey$$166$$ ? ($scopedId$$4$$ = this.$getClientId$() + ":" + $rowKey$$166$$ + ":" + $scopedId$$4$$, $AdfPage$$.$PAGE$.$findComponent$($scopedId$$4$$)) : AdfUITree.$superclass$.$findComponent$.call(this, $scopedId$$4$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUITree.prototype.findComponent", {$findComponent$:AdfUITree.prototype.$findComponent$});
AdfUITree.prototype.$setDisclosedRowKey$ = function $AdfUITree$$$setDisclosedRowKey$$($rowKey$$167$$, $disclosed$$23$$) {
  $AdfAssert$$.$assertString$($rowKey$$167$$);
  $AdfAssert$$.$assertBoolean$($disclosed$$23$$);
  if ($disclosed$$23$$ == this.$isPathExpanded$($rowKey$$167$$)) {
    return !1;
  }
  var $newState$$5_peer$$250$$ = this.$getPeer$();
  if ($newState$$5_peer$$250$$ && $newState$$5_peer$$250$$.$isDisclosureFetchPending$()) {
    return !1;
  }
  var $disclosureEvent$$8_oldState$$7$$ = this.getDisclosedRowKeys(), $newState$$5_peer$$250$$ = {};
  $AdfCollections$$.$copyInto$($newState$$5_peer$$250$$, $disclosureEvent$$8_oldState$$7$$);
  $disclosed$$23$$ ? $newState$$5_peer$$250$$[$rowKey$$167$$] = !0 : delete $newState$$5_peer$$250$$[$rowKey$$167$$];
  ($disclosureEvent$$8_oldState$$7$$ = $AdfRowKeySetChangeEvent$$.$createRowKeySetChangeEvent$(this, $AdfRowDisclosureEvent$$.$ROW_DISCLOSURE_EVENT_TYPE$, $disclosureEvent$$8_oldState$$7$$, $newState$$5_peer$$250$$)) && $disclosureEvent$$8_oldState$$7$$.$queue$();
  if ($disclosureEvent$$8_oldState$$7$$.$isCanceled$()) {
    return !1;
  }
  this.setDisclosedRowKeys($newState$$5_peer$$250$$);
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUITree.prototype.setDisclosedRowKey", {$setDisclosedRowKey$:AdfUITree.prototype.$setDisclosedRowKey$});
AdfUITree.prototype.$isPathExpanded$ = function $AdfUITree$$$isPathExpanded$$($rowKey$$168$$) {
  var $treeState$$ = this.getDisclosedRowKeys();
  return $treeState$$ ? $treeState$$[$rowKey$$168$$] : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUITree.prototype.isPathExpanded", {$isPathExpanded$:AdfUITree.prototype.$isPathExpanded$});
AdfUITree.prototype.$isPathSelected$ = function $AdfUITree$$$isPathSelected$$($rowKey$$169$$) {
  var $selectedRows$$1$$ = this.getSelectedRowKeys();
  return $selectedRows$$1$$ ? $selectedRows$$1$$[$rowKey$$169$$] : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUITree.prototype.isPathSelected", {$isPathSelected$:AdfUITree.prototype.$isPathSelected$});
AdfUITree.prototype.$GetChanges$ = function $AdfUITree$$$GetChanges$$() {
  var $changes$$10$$ = AdfUITree.$superclass$.$GetChanges$.call(this), $localState_positionIndex$$2_treeState$$1$$ = $changes$$10$$[AdfUITree.DISCLOSED_ROW_KEYS];
  if ($localState_positionIndex$$2_treeState$$1$$) {
    var $selectionState$$3_state$$110$$ = [], $i$$803_selState$$7$$ = 0, $path$$14$$;
    for ($path$$14$$ in $localState_positionIndex$$2_treeState$$1$$) {
      $selectionState$$3_state$$110$$[$i$$803_selState$$7$$++] = $path$$14$$;
    }
    $changes$$10$$[AdfUITree.DISCLOSED_ROW_KEYS] = $selectionState$$3_state$$110$$.join("$afr$");
  }
  if ($localState_positionIndex$$2_treeState$$1$$ = $changes$$10$$[AdfUITree.$LOCAL_DISCLOSURE_STATE$]) {
    $selectionState$$3_state$$110$$ = [];
    $i$$803_selState$$7$$ = 0;
    for ($path$$14$$ in $localState_positionIndex$$2_treeState$$1$$) {
      $selectionState$$3_state$$110$$[$i$$803_selState$$7$$++] = $path$$14$$;
    }
    $changes$$10$$[AdfUITree.$LOCAL_DISCLOSURE_STATE$] = $selectionState$$3_state$$110$$.join("$afr$");
  }
  if ($selectionState$$3_state$$110$$ = $changes$$10$$[AdfUITree.SELECTED_ROW_KEYS]) {
    $i$$803_selState$$7$$ = [];
    for ($path$$14$$ in $selectionState$$3_state$$110$$) {
      $localState_positionIndex$$2_treeState$$1$$ = $selectionState$$3_state$$110$$[$path$$14$$] - 1, $i$$803_selState$$7$$[$localState_positionIndex$$2_treeState$$1$$] = $path$$14$$;
    }
    $changes$$10$$[AdfUITree.SELECTED_ROW_KEYS] = $i$$803_selState$$7$$.join("$afr$");
  }
  return $changes$$10$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUITree.prototype.GetChanges", {$GetChanges$:AdfUITree.prototype.$GetChanges$});
AdfUITree.prototype.$DeliverDerivedPropertyEvents$ = function $AdfUITree$$$DeliverDerivedPropertyEvents$$($peer$$251_propName$$39$$, $oldValue$$124_selectionEvent$$2$$, $newValue$$198$$) {
  switch($peer$$251_propName$$39$$) {
    default:
      AdfUITree.$superclass$.$DeliverDerivedPropertyEvents$.call(this, $peer$$251_propName$$39$$, $oldValue$$124_selectionEvent$$2$$, $newValue$$198$$);
      break;
    case AdfUITree.SELECTED_ROW_KEYS:
      ($peer$$251_propName$$39$$ = this.$getPeer$()) && $peer$$251_propName$$39$$.$canDeliverSelectionEvent$ && $peer$$251_propName$$39$$.$canDeliverSelectionEvent$() && ($oldValue$$124_selectionEvent$$2$$ = $AdfRowKeySetChangeEvent$$.$createRowKeySetChangeEvent$(this, $AdfSelectionEvent$$.$SELECTION_EVENT_TYPE$, $oldValue$$124_selectionEvent$$2$$, $newValue$$198$$)) && $oldValue$$124_selectionEvent$$2$$.$queue$();
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUITree.prototype.DeliverDerivedPropertyEvents", {$DeliverDerivedPropertyEvents$:AdfUITree.prototype.$DeliverDerivedPropertyEvents$});
AdfUITree.prototype.Init = function $AdfUITree$$Init$($componentType$$15$$, $clientId$$546$$, $properties$$74$$, $children$$82$$, $facets$$1$$) {
  AdfUITree.$superclass$.Init.call(this, $componentType$$15$$, $clientId$$546$$, $properties$$74$$, $children$$82$$, $facets$$1$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUITree.prototype.Init", {Init:AdfUITree.prototype.Init});
